OpenTTD Source: CYapfDestinationRegionT< Types > Class Template Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes
CYapfDestinationRegionT< Types > Class Template Reference

YAPF destination provider for water regions. More...

## Public Types
typedef Types::Tpf | Tpf
| The pathfinder class (derived from THIS class).
typedef Types::NodeList::Item | Node
| This will be our node type.
typedef Node::Key | Key
| Key to hash tables.

## Public Member Functions
void | SetDestination (const WaterRegionPatchDesc &water_region_patch)
bool | PfDetectDestination (Node &n) const
bool | PfCalcEstimate (Node &n)

## Protected Member Functions
Tpf & | Yapf ()

## Protected Attributes
Key | dest

## Detailed Description

template<class Types>
class CYapfDestinationRegionT< Types >

YAPF destination provider for water regions.

Definition at line 113 of file yapf_ship_regions.cpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfDestinationRegionT< Types >::Key

Key to hash tables.

Definition at line 118 of file yapf_ship_regions.cpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfDestinationRegionT< Types >::Node

This will be our node type.

Definition at line 117 of file yapf_ship_regions.cpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfDestinationRegionT< Types >::Tpf

The pathfinder class (derived from THIS class).

Definition at line 116 of file yapf_ship_regions.cpp.

## Member Function Documentation

## ◆ PfCalcEstimate()

template<class Types >

bool CYapfDestinationRegionT< Types >::PfCalcEstimate | ( | Node & | n | ) |
| inline

Definition at line 138 of file yapf_ship_regions.cpp.

## ◆ PfDetectDestination()

template<class Types >

bool CYapfDestinationRegionT< Types >::PfDetectDestination | ( | Node & | n | ) | const
| inline

Definition at line 133 of file yapf_ship_regions.cpp.

## ◆ SetDestination()

template<class Types >

void CYapfDestinationRegionT< Types >::SetDestination | ( | const WaterRegionPatchDesc & | water_region_patch | ) |
| inline

Definition at line 124 of file yapf_ship_regions.cpp.

## ◆ Yapf()

template<class Types >

Tpf & CYapfDestinationRegionT< Types >::Yapf | ( |  | ) |
| inlineprotected

Definition at line 130 of file yapf_ship_regions.cpp.

## Field Documentation

## ◆ dest

template<class Types >

Key CYapfDestinationRegionT< Types >::dest
| protected

Definition at line 121 of file yapf_ship_regions.cpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_ship_regions.cpp